Bug 204434 - devel/hg-git: Update to 0.8.2
Summary: devel/hg-git: Update to 0.8.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Martin Wilke
URL:
Keywords: needs-patch, needs-qa
Depends on:
Blocks:
 
Reported: 2015-11-10 16:53 UTC by m1cro
Modified: 2015-12-08 17:34 UTC (History)
2 users (show)

See Also:
koobs: maintainer-feedback-


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description m1cro 2015-11-10 16:53:02 UTC
Please upgrade devel/hg-git to 0.8.2
It fix next error(https://github.com/schacon/hg-git/issues/308):
"No module named ignore"

bump && make makesum should be enough
===
diff --git a/devel/hg-git/Makefile b/devel/hg-git/Makefile
index a606e48..b33425d 100644
--- a/devel/hg-git/Makefile
+++ b/devel/hg-git/Makefile
@@ -2,7 +2,7 @@
 # $FreeBSD$

 PORTNAME=      hg-git
-PORTVERSION=   0.8.1
+PORTVERSION=   0.8.2
 CATEGORIES=    devel python
 MASTER_SITES=  CHEESESHOP
 PKGNAMEPREFIX= ${PYTHON_PKGNAMEPREFIX}
diff --git a/devel/hg-git/distinfo b/devel/hg-git/distinfo
index df61770..afd65a7 100644
--- a/devel/hg-git/distinfo
+++ b/devel/hg-git/distinfo
@@ -1,2 +1,2 @@
-SHA256 (hg-git-0.8.1.tar.gz) = ceeddfb48dc160e4c6be8c15a722a44b8554b7f68e1838f6af1018ed78b9451d
-SIZE (hg-git-0.8.1.tar.gz) = 46817
+SHA256 (hg-git-0.8.2.tar.gz) = fea6f48da28cef3fc30a51b1cfec0a52df405b35c85b2d92607158f6b089e043
+SIZE (hg-git-0.8.2.tar.gz) = 48461
===
Comment 1 Michael Moll freebsd_committer 2015-11-10 17:47:56 UTC
It seems 0.8.3 came out yesterday, maybe it's worth to upgrade it to that version.
Subscribing to this PR, I'm willing to commit an update from the maintainer.
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2015-11-11 03:49:48 UTC
Please include proposed changes (+ update to 0.8.3) as an attachment
Comment 3 Martin Wilke freebsd_committer 2015-12-05 09:55:05 UTC
Take.
Comment 4 Kubilay Kocak freebsd_committer freebsd_triage 2015-12-05 09:55:40 UTC
Maintainer timeout (20+ days)
Comment 5 commit-hook freebsd_committer 2015-12-08 17:34:19 UTC
A commit references this bug:

Author: miwi
Date: Tue Dec  8 17:34:15 UTC 2015
New revision: 403314
URL: https://svnweb.freebsd.org/changeset/ports/403314

Log:
  - Update to 0.8.3

  PR:		204434
  Submitted by:	rum1cro@yandex.ru
  Approved by:	mat (mentor), maintainer timeout (20 days +)
  Differential Revision:	https://reviews.freebsd.org/D4395

Changes:
  head/devel/hg-git/Makefile
  head/devel/hg-git/distinfo